## dbm_getpath

### Use

You display the version-independent directories configured on the database computer.

See also:

Database Administration Tutorial, Displaying Information About Installed Software and Database Instances, section: "Display Installation Directories of the Version-Independent Database Software"

Installation Manual, Directories

### Prerequisites

You do not need to log on to the Database Manager to execute this DBM command. Nor do you require any server authorization.

### Syntax

dbm_getpath <path_ID>

<path_ID>:: = IndepDataPath | IndepProgPath

Options

Option | Description
<path_ID> | Path for data storage on the database computer. Possible values are: IndepDataPath | IndepProgPath IndepDataPath: path where the data, configuration and run directories of database instances and applications are stored. IndepProgPath: path where programs and libraries that are shared by all database instances and applications are stored.

### Reply

OK

<path>

### Example

Call the Database Manager CLI, display the path where the data, configuration and run directories of database instances and applications are stored:

>dbmcli dbm_getpath indepdatapath

OK

c:\documents and settings\all users\application data\sdb\data